package ink.wgink.module.file.media.service.video;

import ink.wgink.module.file.media.pojo.vos.video.VideoVO;
import org.springframework.web.multipart.MultipartFile;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IVideoService
 * @Description: 视频
 * @Author: WangGeng
 * @Date: 2021/6/8 22:12
 * @Version: 1.0
 **/
public interface IVideoService {

    String VIDEO_PATH = "videos";

    /**
     * 保存
     *
     * @param videoVO
     * @return
     */
    String save(VideoVO videoVO);

    /**
     * 保存
     *
     * @param token
     * @param videoVO
     * @return
     */
    String save(String token, VideoVO videoVO);

    /**
     * 上传视频
     *
     * @param video
     * @return
     */
    String upload(MultipartFile video);

    /**
     * 上传视频
     *
     * @param token
     * @param video
     * @return
     */
    String upload(String token, MultipartFile video);
}
